var garden,
	tea,
	spa;

function initMap() {
	// 緯度経度
	var kenrokuen = {lat: 36.562348, lng: 136.662630},
		chayagai = {lat: 36.572684, lng: 136.666474},
		yuwaku= {lat: 36.488488, lng:136.755551};

	garden = new google.maps.Map(document.getElementById('garden'), {
		zoom: 16,
		center: kenrokuen,
		scrollwheel: false
	});

	tea = new google.maps.Map(document.getElementById('tea'), {
		zoom: 16,
		center: chayagai,
		scrollwheel: false
	});

	spa = new google.maps.Map(document.getElementById('spa'), {
		zoom: 16,
		center: yuwaku,
		scrollwheel: false
	});


	// マーカー
	var image_garden = "//keitahirai.net/wp-content/uploads/2016/03/googlemap/marker_garden.png";
	var marker_garden = new google.maps.Marker({
		position: kenrokuen,
		map: garden,
		icon: image_garden
	});

	var image_tea = "//keitahirai.net/wp-content/uploads/2016/03/googlemap/marker_tea.png";
	var marker_tea = new google.maps.Marker({
		position: chayagai,
		map: tea,
		icon: image_tea
	});

	var marker_spa = new google.maps.Marker({
		position: yuwaku,
		map: spa
	});


	// 吹き出し
	var ballon_garden = "金沢駅から<br>バスで約15分",
		ballon_tea = "ひがし茶屋街で<br>ホッと一息",
		ballon_spa =
		"金沢の奥座敷<br>" +
		'<a href="//yuwaku.gr.jp/" target="_blank">http://yuwaku.gr.jp/</a>';

	var infowindow_garden = new google.maps.InfoWindow ({
		content: ballon_garden
	});
	infowindow_garden.open(garden, marker_garden);
	marker_garden.addListener('click', function() {
    	infowindow_garden.open(garden, marker_garden);
	});

	var infowindow_tea = new google.maps.InfoWindow ({
		content: ballon_tea
	});
	infowindow_tea.open(tea, marker_tea);
	marker_tea.addListener('click', function() {
    	infowindow_tea.open(tea, marker_tea);
	});

	var infowindow_spa = new google.maps.InfoWindow ({
		content: ballon_spa
	});
	infowindow_spa.open(spa, marker_spa);
	marker_spa.addListener('click', function() {
    	infowindow_spa.open(spa, marker_spa);
	});


	// ルート表示
	var carRoot = [
		{lat: 36.577572, lng: 136.649676},
		{lat: 36.574835, lng: 136.653614},
		{lat: 36.572127, lng: 136.655928},
		{lat: 36.571024, lng: 136.654995},
		{lat: 36.565182, lng: 136.653729},
		{lat: 36.562365, lng: 136.653654},
		{lat: 36.561809, lng: 136.659476},
		{lat: 36.564911, lng: 136.661879},
		{lat: 36.564940, lng: 136.661881}
	];
	var roadPath = new google.maps.Polyline({
		path: carRoot,
		geodesic: true,
		strokeColor: '#008000',
		strokeOpacity: 0.5,
		strokeWeight: 5
	});
	roadPath.setMap(garden);


	// スタイル調整
	var styles_garden = [
	{
		stylers: [
      		{hue: "#00ccff"},
			{saturation: 10}
		]
	},
	{
		featureType: "road",
		elementType: "geometry",
		stylers: [
			{lightness: 100},
			{visibility: "simplified"}
		]
	},
	{
		featureType: "road",
		elementType: "labels",
		stylers: [
			{visibility: "off"}
		]
	}
	];
	garden.setOptions({styles: styles_garden});

	var styles_tea = [
	{
		stylers: [
      		{hue: "#6e8347"},
			{saturation: 10}
		]
	},
	{
		featureType: "road",
		elementType: "geometry",
		stylers: [
			{lightness: 100},
			{visibility: "simplified"}
		]
	},
	{
		featureType: "road",
		elementType: "labels",
		stylers: [
			{visibility: "off"}
		]
	}
	];
	tea.setOptions({styles: styles_tea});
}